Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 224595

Summary: aborts when nm-vpnc gets an error
Product: [Fedora] Fedora Reporter: Bill Nottingham <notting>
Component: NetworkManagerAssignee: Dan Williams <dcbw>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mcepl, mcepl, rvokal, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-07 01:07:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Bill Nottingham 2007-01-26 16:12:53 UTC
Description of problem:


send(3, "<29>Jan 26 11:04:25 NetworkManag"..., 124, MSG_NOSIGNAL) = 124
gettimeofday({1169827465, 286161}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=6, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=9, eve
nts=POLLIN}], 4, 0) = 0
writev(9, [{"l\4\1\1\20\0\0\0\271\0\0\0\240\0\0\0\1\1o\0.\0\0\0/org"..., 176},
{"\7\0\0\0Red 
Hat\0\1\0\0\0", 16}], 2) = 192
time(NULL)                              = 1169827465
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3519, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3519, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3519, ...}) = 0
send(3, "<28>Jan 26 11:04:25 NetworkManag"..., 188, MSG_NOSIGNAL) = 188
gettimeofday({1169827465, 288556}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=6, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=9, eve
nts=POLLIN, revents=POLLIN}], 4, 24955) = 1
gettimeofday({1169827465, 289167}, NULL) = 0
read(9, "l\2\1\1\0\0\0\0\t\0\0\0&\0\0\0\6\1s\0\5\0\0\0:1.22\0\0"..., 2048) = 56
read(9, 0x933b030, 2048)                = -1 EAGAIN (Resource temporarily
unavailable)
gettimeofday({1169827465, 289599}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=6, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=9, eve
nts=POLLIN}], 4, 0) = 0
time(NULL)                              = 1169827465
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3519, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3519, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3519, ...}) = 0
send(3, "<30>Jan 26 11:04:25 NetworkManag"..., 139, MSG_NOSIGNAL) = 139
rt_sigprocmask(SIG_UNBLOCK, [ABRT], NULL, 8) = 0
tgkill(3011, 3011, SIGABRT)             = 0
--- SIGABRT (Aborted) @ 0 (0) ---
write(2, "\n** ", 4)                    = 4
write(2, "(process:", 9)                = 9
write(2, "3011", 4)                     = 4
write(2, "): ", 3)                      = 3
write(2, "WARNING (recursed) **", 21)   = 21
write(2, ": ", 2)                       = 2
write(2, "<WARN>  nm_signal_handler(): Cau"..., 71) = 71
write(2, "\naborting...\n", 13)         = 13
rt_sigprocmask(SIG_UNBLOCK, [ABRT], NULL, 8) = 0
tgkill(3011, 3011, SIGABRT)             = 0
--- SIGABRT (Aborted) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
rt_sigaction(SIGABRT, {SIG_DFL}, NULL, 8) = 0
tgkill(3011, 3011, SIGABRT)             = 0
--- SIGABRT (Aborted) @ 0 (0) ---

From the logs:

Jan 26 11:04:25 nostromo NetworkManager: <info>  VPN Activation (Red Hat) Stage 
3 of 4 (Connect) request sent, waiting for reply... 
Jan 26 11:04:25 nostromo NetworkManager: <info>  VPN service 'org.freedesktop.Ne
tworkManager.vpnc' signaled state change 6 -> 3. 
Jan 26 11:04:25 nostromo NetworkManager: <WARN>  nm_vpn_service_process_signal()
: VPN failed for service 'org.freedesktop.NetworkManager.vpnc', signal 'LaunchFa
iled', with message 'The VPN login failed because the VPN program could not be s
tarted.'. 
Jan 26 11:04:25 nostromo NetworkManager: <info>  VPN service 'org.freedesktop.Ne
tworkManager.vpnc' signaled state change 3 -> 6. 
Jan 26 11:04:25 nostromo NetworkManager: <WARN>  nm_vpn_service_stop_connection(
): (VPN Service org.freedesktop.NetworkManager.vpnc): could not stop connection 
'Red Hat' because service was 6. 
Jan 26 11:04:25 nostromo NetworkManager: file nm-vpn-service.c: line 459 (nm_vpn
_service_stage3_connect_cb): assertion failed: (service != NULL)


Version-Release number of selected component (if applicable):

NetworkManager-0.6.5-0.cvs20061025.fc7.1
NetworkManager-vpnc-0.7.0-0.cvs20061204.fc7

How reproducible:

Every time

Steps to Reproduce:
1. Start NM
2. Start nm-applet
3. Select vpn
4. Enter user password
5. Hit enter without entering group password (oops)
  
Actual results:

1. normal error dialog
2. Whoops, there went NM

Expected results:

just the error dialog

Comment 1 Bug Zapper 2008-04-03 18:59:00 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 2 Bug Zapper 2008-05-07 01:07:08 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp